Bug 1286997 - ship vdsm-hook-vmfex-dev with Vdsm
Summary: ship vdsm-hook-vmfex-dev with Vdsm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.2
: 3.6.2
Assignee: Sagi Shnaidman
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks: 1306132
TreeView+ depends on / blocked
 
Reported: 2015-12-01 10:12 UTC by Sagi Shnaidman
Modified: 2019-10-10 10:35 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, the vdsm-hook-vmfex-dev package is included with VDSM. Users can now connect their virtual machine network profiles to Cisco UCS-defined port profiles.
Clone Of:
: 1306132 (view as bug list)
Environment:
Last Closed: 2016-03-09 19:46:21 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 154583 None None None 2016-06-17 17:46:49 UTC
Red Hat Product Errata RHBA-2016:0362 normal SHIPPED_LIVE vdsm 3.6.0 bug fix and enhancement update 2016-03-09 23:49:32 UTC
oVirt gerrit 49566 master MERGED Include vmfex-dev-hook in vdsm install 2020-09-04 18:08:36 UTC
oVirt gerrit 50270 ovirt-3.6 MERGED Add vmfex-dev hook to default RPMs for install 2020-09-04 18:08:36 UTC
oVirt gerrit 50378 ovirt-3.6 MERGED Include vmfex-dev-hook in vdsm install 2020-09-04 18:08:36 UTC

Description Sagi Shnaidman 2015-12-01 10:12:01 UTC
Require vmfex-dev hook installation for VDSM 3.6.

Comment 2 Nir Soffer 2015-12-09 09:42:18 UTC
Why this hook should be required?

This hook is built with vdsm, and can be installed if needed.

If the functionality of this hook is always required, we should integrate this
hook in the networking code instead.

Comment 3 Sagi Shnaidman 2015-12-09 11:57:57 UTC
Sorry, I have to redirect this question.

Comment 4 Dan Kenigsberg 2015-12-09 12:39:01 UTC
vdsm-hook-vmfex-dev allows connecting oVirt VMs to UCS-defined port profiles, as explained in 

  http://www.ovirt.org/Features/UCS_Integration#Level_IV:_.22A_New_Hook.22

This functionality (connecting to VM-FEX) is repeatedly requested by customers. Since this hook is well tested and mature, shipping it with Vdsm is safe and useful.

Comment 7 Michael Burman 2015-12-24 14:41:13 UTC
Verified on - vdsm-4.17.14-0.el7ev.noarch 
vdsm-hook-vmfex-dev-4.17.14-0.el7ev.noarch

Comment 9 errata-xmlrpc 2016-03-09 19:46:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0362.html

Comment 10 Marina Kalinin 2016-06-17 17:46:50 UTC
It seems to be a duplicated of this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=805884


Note You need to log in before you can comment on or make changes to this bug.